function varargout=plotVertices(self,varargin)
  %default_PlotOptions={'Marker','.','MarkerSize',6};
  p = inputParser; 
  p.KeepUnmatched=true; 
  p.PartialMatching=false;
  p.addParamValue('d',self.d,@isscalar);
  p.addParamValue('labels',[]); % select labels to draw
  p.addParamValue('color',[]);
  %p.addParamValue('PlotOptions',{},@iscell);
  p.parse(varargin{:});
  R=p.Results;
  varargin=fc_tools.utils.deleteCellOptions(varargin,p.Parameters);
  %PlotOptions={default_PlotOptions{:},R.PlotOptions{:}};
  if isempty(R.labels), idxlab=self.find(R.d);else idxlab=self.find(R.d,R.labels);end
  if isempty(idxlab), return;end
  i=1;
  PrevHold=fc_tools.graphics.SetHoldOn(true);
  for ilab=[idxlab]
    if isempty(R.color), color=self.sTh{ilab}.color;end
    %h(i)=plotVertices(self.sTh{ilab},'color',color,default_PlotOptions{:},varargin{:});
    h(i)=plotVertices(self.sTh{ilab},'color',color,varargin{:});
    i=i+1;
  end
  fc_tools.graphics.RestoreHold(PrevHold)
  if nargout==1, varargout{1}=h;end
end